develooper Front page | perl.perl5.porters | Postings from April 2019

[perl #132577] BBC Module::Install broken by0301e899536a22752f40481d8a1d141b7a7dda82

Thread Next
From:
James E Keenan via RT
Date:
April 3, 2019 11:53
Subject:
[perl #132577] BBC Module::Install broken by0301e899536a22752f40481d8a1d141b7a7dda82
Message ID:
rt-4.0.24-31607-1554292419-1852.132577-15-0@perl.org
On Sat, 30 Mar 2019 03:54:10 GMT, ether wrote:
> On Thu, 28 Mar 2019 19:33:04 -0700, khw wrote:
> 
> > Pinging this ticket
> 
> 
> I've been re-releasing all the modules I am aware of (that I have the
> ability to) that use Module::Install::DSL; I think the upper portions
> of the cpan river are now clean. Are we able to assess the remaining
> impact to the river, and perhaps establish the final list of
> distributions that are still of concern?

For what it's worth ...

I went to this (possibly inaccurate) list of CPAN distributions which are dependent upon Module::Install:

http://deps.cpantesters.org/depended-on-by.pl?dist=Module-Install

I extracted the 127 top-level distros, then excluded all distros beginning with Acme, Bundle or Task.  That left 114 distros, which I attempted to install against Perl 5 blead (commit 930ded654, Apr 2 2019) on FreeBSD-11.2 (threaded) using cpanm as the installer.  (I.e., the same approach I take toward monthly testing of the "CPAN-River-3000".)

Certain modules failed to install for reasons that were expected given that they, or their prerequisites, do not get a PASS grade during the monthly CPAN-River-3000 process.  Other modules failed to install because of upstream breakage in blead.  However, I couldn't identify any distributions which failed due to Module::Install itself.

Thank you very much.
-- 
James E Keenan (jkeenan@cpan.org)

---
via perlbug:  queue: perl5 status: open
https://rt.perl.org/Ticket/Display.html?id=132577

Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About